Uploaded image for project: 'OpenAM'
  1. OpenAM
  2. OPENAM-5309

users?_action=idFromSession returns Requested version \"2.0\" does not match any routes.

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: 12.0.0
    • Fix Version/s: None
    • Component/s: rest, XUI
    • Labels:
    • Environment:
      RC5
      tomcat 6
      java 1.6

      Description

      Attempting to login with URL http://...:18080/myam/XUI/#login/&realm=sessions request to users?_action=idFromSession returns response {"code":404,"reason":"Not Found","message":"Requested version \"2.0\" does not match any routes."}

      Steps:
      1. Create subrealm sessions
      2. Attempt to login to subrealm as demo using http://...:18080/myam/XUI/#login/&realm=sessions

      Network trace shows:
      Request URL:http://...:18080/myam/json/authenticate?realm=%2Fsessions
      Request Method:POST
      Accept-API-Version:protocol=1.0,resource=2.0
      Status Code:200 OK

      Request URL:http://gibson.internal.forgerock.com:18080/myam/json/authenticate
      Request Method:POST
      Accept-API-Version:protocol=1.0,resource=2.0
      Status Code:200 OK

      Request URL:http://gibson.internal.forgerock.com:18080/myam/json/sessions/users?_action=idFromSession
      Request Method:POST
      Accept-API-Version:protocol=1.0,resource=2.0
      Status Code:404 Not Found
      {"code":404,"reason":"Not Found","message":"Requested version \"2.0\" does not match any routes."}

        Attachments

          Activity

            People

            • Assignee:
              phillcunnington Phill Cunnington
              Reporter:
              markg Mark Gibson
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: